<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Ann_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:article, Announcements %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr id="newAnnTr" runat="server">
		    <td class="leftCell">
		        <a href="AnnEditPage.aspx" class="leftLink">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:article, New_Announcement %>" />
		        </a>  
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="annGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
        OnSorting="annGrid_Sorting" OnPageIndexChanging="annGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="art_title" 
                HeaderText="<%$ Resources:article, Title %>" 
                SortExpression="art_title">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="art_updated_on"  
                HeaderText="<%$ Resources:article, Posted_on %>" 
                SortExpression="art_updated_on" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="AuthorName"  
                HeaderText="<%$ Resources:article, Author %>" 
                SortExpression="AuthorName" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("art_id", "AnnViewPage.aspx?annID={0}") %>'
                        Text='<%$ Resources:article, View %>'></asp:HyperLink>
                    |
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("art_id", "AnnEditPage.aspx?annID={0}") %>'
                        Text='<%$ Resources:article, Edit %>'></asp:HyperLink>
                    |
                    <asp:HyperLink ID="HyperLink3" runat="server" 
                        NavigateUrl='<%# Eval("art_id", "AnnDelPage.aspx?annID={0}") %>'
                        Text='<%$ Resources:article, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
        </Columns>
    </ASP:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />
</asp:Content> 