<%@ control language="C#" autoeventwireup="true" inherits="HeaderCtrl, nServiceDeploy" %>
<table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr>
        <td class="header" nowrap="nowrap">
            <asp:Label ID="siteTitleLabel" runat="server"></asp:Label> 
        </td>
        <td class="headerCurrentUser" valign="bottom" align="right" nowrap="nowrap">
            <asp:Label ID="userNameLabel" runat="server"></asp:Label>
        </td>
    </tr>
</table>

<table id="guestMenuBar" runat="server" width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr class="menuBar">
        <td class="menuCell">
            <asp:Menu ID="guestHomeMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Home %>" 
                        Value="Home" NavigateUrl="~/Default.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="submitSRMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Submit_Service_Request %>" 
                        Value="SubmitSR" NavigateUrl="~/Common/LogOnPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="guestSrvMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Services %>" 
                        Value="Services" NavigateUrl="~/Service/ServicePage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="guestPdMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Products %>" 
                        Value="Products" NavigateUrl="~/Product/ProductPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="guestKbMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Knowledge %>" 
                        Value="Knowledge" NavigateUrl="~/KB/KbPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="guestForumMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Forums %>" 
                        Value="Forums" NavigateUrl="~/Forum/ForumPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="signUpTd" runat="server">
            <asp:Menu ID="signUpMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Sign_Up %>" 
                        Value="SignUp" NavigateUrl="~/Common/LogOnPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="signInMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Log_On %>" 
                        Value="Log On" NavigateUrl="~/Common/LogOnPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCellNoR" width="90%" align="right" nowrap="nowrap">
            &nbsp;
        </td>
    </tr>
</table>

<table id="userMenuBar" runat="server" width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr class="menuBar">
        <td class="menuCell">
            <asp:Menu ID="userHomeMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Home %>" 
                        Value="Home" NavigateUrl="~/Default.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="srTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="srMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Service_Requests %>" 
                        Value="ServiceRequests" NavigateUrl="~/SR/SrPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="ouTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="ouMenu" runat="server" StaticMenuItemStyle-ForeColor="White" 
                Orientation="Horizontal" 
                DynamicVerticalOffset="5" DynamicMenuItemStyle-ItemSpacing="5" >
                <DynamicMenuStyle BorderStyle="Solid" BorderWidth="1px" 
                    BackColor="WhiteSmoke" BorderColor="Black" HorizontalPadding="8px" />
                <DynamicHoverStyle Font-Underline="true" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Users_and_Assets %>" 
                        Value="UsersAndAssets" Selectable="False">
                        <asp:MenuItem Text="<%$ Resources:common, Users_and_Assets_in_OU %>" 
                            Value="UsersAndAssetsInOU" 
                            NavigateUrl="~/Org/OuPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, All_Users_and_Assets %>" 
                            Value="SearchUsersAndAssets" 
                            NavigateUrl="~/Org/OuSearchPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, My_Account %>" 
                            Value="MyAccount" 
                            NavigateUrl="~/User/UserDetailPage.aspx?usrID=mine">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Organizations_and_Sites %>" 
                            Value="Organizations" 
                            NavigateUrl="~/Org/OrgListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Online_Technicians %>" 
                            Value="OnlineTech" 
                            NavigateUrl="~/Admin/OnlineTechPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Import_from_LDAP %>" 
                            Value="ImportLDAP" 
                            NavigateUrl="~/Org/OuLdapSyncPage.aspx">
                        </asp:MenuItem>
                    </asp:MenuItem>
                </Items>
            </asp:Menu>
        </td>
        <td class="menuCell" id="myAccountTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="myAccountMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, My_Account %>" 
                        Value="MyAccount" 
                        NavigateUrl="~/User/UserDetailPage.aspx?usrID=mine">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="serviceTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="serviceMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Services %>" 
                        Value="Services" 
                        NavigateUrl="~/Service/ServicePage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="productTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="productMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Products %>" 
                        Value="Products" 
                        NavigateUrl="~/Product/ProductPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="kbTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="kbMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Knowledge %>" 
                        Value="Knowledge" 
                        NavigateUrl="~/KB/KbPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell">
            <asp:Menu ID="forumMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Forums %>" 
                        Value="Forums" 
                        NavigateUrl="~/Forum/ForumPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="calendarTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="calendarMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Calendar %>" 
                        Value="Calendar" 
                        NavigateUrl="~/Calendar/CalPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="reportTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="Menu1" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Reports %>" 
                        Value="Reports" 
                        NavigateUrl="~/Report/RepPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCell" id="adminTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="adminMenu" runat="server" StaticMenuItemStyle-ForeColor="White" 
                Orientation="Horizontal" 
                DynamicVerticalOffset="5" DynamicMenuItemStyle-ItemSpacing="5" >
                <DynamicMenuStyle BorderStyle="Solid" BorderWidth="1px" 
                    BackColor="WhiteSmoke" BorderColor="Black" HorizontalPadding="8px" />
                <DynamicHoverStyle Font-Underline="true" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Admin %>" 
                        Value="Admin" Selectable="False">
                        <asp:MenuItem Text="<%$ Resources:common, Announcements %>" 
                            Value="Announcements" 
                            NavigateUrl="~/Article/AnnListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Event_Log %>" 
                            Value="EventLog" 
                            NavigateUrl="~/Admin/LogListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Email %>" 
                            Value="Email" 
                            NavigateUrl="~/Email/EmListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Service_Rates %>" 
                            Value="Rates" 
                            NavigateUrl="~/Service/RateListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Service_Zones %>" 
                            Value="Zones" 
                            NavigateUrl="~/Admin/ZoneListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Req_Rules %>" 
                            Value="Rules" 
                            NavigateUrl="~/Service/RuleListPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, Recycle_Bins %>" 
                            Value="RecycleBins" 
                            NavigateUrl="~/Admin/RecycleSrPage.aspx">
                        </asp:MenuItem>
                        <asp:MenuItem Text="<%$ Resources:common, System_Settings %>" 
                            Value="SystemSettings" 
                            NavigateUrl="~/Admin/KeyPage.aspx">
                        </asp:MenuItem>
                    </asp:MenuItem>
                </Items>
            </asp:Menu>
        </td>
        <td class="menuCell" id="signOutTd" runat="server" nowrap="nowrap">
            <asp:Menu ID="signOutMenu" runat="server" StaticMenuItemStyle-ForeColor="White">
                <Items>
                    <asp:MenuItem Text="<%$ Resources:common, Log_Off %>" 
                        Value="Log Off" 
                        NavigateUrl="~/Common/LogOffPage.aspx">
                    </asp:MenuItem>
                </Items>
                <StaticHoverStyle Font-Underline="true" />
            </asp:Menu>
        </td>
        <td class="menuCellNoR" width="90%" align="right" nowrap="nowrap">
            &nbsp;
        </td>
    </tr>
</table>
