<%@ page language="C#" masterpagefile="~/Common/Panel2b.master" autoeventwireup="true" inherits="Forum_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="ForumPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:forum, Forums %>" />
                </a>
            </td>
            <td id="searchTd" runat="server" class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:forum, Search %>" />: 
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:forum, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td valign="top" class="leftCellNoB">
                <asp:TreeView ID="forumTree" runat="server" 
                    OnSelectedNodeChanged="forumTree_SelectedNodeChanged" 
                    OnTreeNodePopulate="forumTree_TreeNodePopulate"
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    PopulateNodesFromClient="true"  
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="catNameLabel" runat="server"></asp:Label>
            </td>
            <td class="viewTitle" align="right">
                <asp:HyperLink id="editForumLink" runat="server"
                    Text="<%$ Resources:forum, Edit %>" />
                <asp:Label ID="barAfterEditForum" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="moveForumLink" runat="server"
                    Text="<%$ Resources:forum, Move %>" />
                <asp:Label ID="barAfterMoveForum" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="delForumLink" runat="server"
                    Text="<%$ Resources:forum, Delete %>" />
                <asp:Label ID="barAfterDelForum" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="addForumLink" runat="server"
                    Text="<%$ Resources:forum, Add_Forum %>" />
                <asp:Label ID="barAfterAddForum" runat="server" Text="|"></asp:Label> 
                <asp:HyperLink id="postMsgLink" runat="server"
                    Text="<%$ Resources:forum, Post_Message %>" />
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="listData">
                <asp:Label ID="errMsgLabel" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0" id="infoTable" runat="server">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:forum, Forum_ID %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:forum, User_Group %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:forum, Moderator_Group %>" />
            </td>
            <td class="viewLabelNoR" width="25%">
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:forum, Administrator_Group %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label ID="catIDLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="userGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewData" valign="top">
                <asp:Literal ID="techGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
            <td class="viewDataNoR" valign="top">
                <asp:Literal ID="adminGroupLiteral" runat="server"></asp:Literal>&nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:forum, Keywords %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="keywordsLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="viewLabelNoR" colspan="4">
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:forum, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR" colspan="4">
                <asp:Label ID="catDescLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>

    <asp:GridView ID="msgGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowSorting="True" OnSorting="msgGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_kb_id,art_id" 
                DataNavigateUrlFormatString="TopicPage.aspx?topicID={0}#{1}"
                DataTextField="art_title" 
                HeaderText="<%$ Resources:forum, Topic %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_updated_on" 
                HeaderText="<%$ Resources:forum, Posted_on %>" 
                SortExpression="art_updated_on">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:forum, Author %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="msgSortDirHidden" runat="server" />
    <asp:HiddenField ID="msgSortExprHidden" runat="server" />
</asp:Content>
