<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Product_EditPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:label id="pathLabel" Runat="server">Products</asp:label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="60%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle" colspan="2">
                <asp:Label ID="formTitle" Runat="server">Add/Edit Product</asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:product, Name %>" />:
            </td>
            <td>
                <input type="text" id="NameTxt" runat="server" size="60" maxlength="50">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                    runat="server" ControlToValidate="NameTxt"
                    ErrorMessage="<%$ Resources:product, Name_is_required %>"
                    >*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:product, Manufacturer %>" />:
            </td>
            <td>
                <asp:DropDownList ID="makerList" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:product, Item_Number %>" />:
            </td>
            <td>
                <input type="text" id="ItemNumberText" runat="server" size="60" maxlength="50">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:product, Keywords %>" />:
            </td>
            <td>
                <input type="text" id="KeywordsTxt" runat="server" size="60" maxlength="100">
            </td>
        </tr>
        <tr>
            <td valign="top">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:product, DescriptionWithMaxHint %>" />:
            </td>
            <td>
                <textarea id="DescTxt" runat="server" cols="50" rows="4"></textarea>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formCommand" align="center">
                <asp:Button ID="SaveButton" runat="server" 
                    Text="<%$ Resources:product, Save %>" OnClick="SaveButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

