<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Group_DetailPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell" valign="top">
                <asp:HyperLink ID="pathLink" runat="server" CssClass="pathLink" />
                    &gt; 
                <asp:Label ID="pathLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" border="0" cellspacing="0" cellpadding="4">
        <tr>
            <td class="leftCell">
                <asp:HyperLink ID="editLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:user, Edit_Group %>"></asp:HyperLink>
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:HyperLink ID="moveLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:user, Move_Group %>"></asp:HyperLink>
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:HyperLink ID="delLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:user, Delete_Group %>"></asp:HyperLink>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="viewTitle">
                <asp:Label ID="viewTitleLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <table width="100%" cellspacing="0" cellpadding="2" border="0">
        <tr>
            <td class="viewLabelNoR">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:user, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR">
                <asp:Label id="descLabel" runat="server"></asp:Label>&nbsp;
            </td>
        </tr>
    </table>
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:user, Users %>" />:
            </td>
        </tr>
    </table>
    <asp:GridView ID="userGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" 
        AllowPaging="True" OnPageIndexChanging="userGrid_PageIndexChanging" 
        AllowSorting="True" OnSorting="userGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="usr_id"
                DataNavigateUrlFormatString="../User/UserDetailPage.aspx?usrID={0}"
                HeaderText="<%$ Resources:user, User_ID %>" 
                DataTextField="usr_id" 
                SortExpression="usr_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:user, Display_Name %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_email" 
                HeaderText="<%$ Resources:user, Email_Address %>" 
                SortExpression="usr_email">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_phone" 
                HeaderText="<%$ Resources:user, Phone_Number %>" 
                SortExpression="usr_phone">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="usrSortDirHidden" runat="server" />
    <asp:HiddenField ID="usrSortExprHidden" runat="server" />
</asp:Content>

